@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('assetrequest::assetreqhd.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('assetrequest::assetreqhd.names') !!}</small>
@stop

@section('title')
{!! trans('assetrequest::assetreqhd.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('assetrequest::assetreqhd.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='assetrequest-assetreqhd-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="assetrequest-assetreqhd-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('assetrequest::assetreqhd.label.requestno')!!}</th>
        <th>{!! trans('assetrequest::assetreqhd.label.division_id')!!}</th>
        <th>{!! trans('assetrequest::assetreqhd.label.reqdate')!!}</th>
        <th>{!! trans('assetrequest::assetreqhd.label.requestedby')!!}</th>
        <th>{!! trans('assetrequest::assetreqhd.label.dept_id')!!}</th>
        <th>{!! trans('assetrequest::assetreqhd.label.required_date')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[requestno]')->raw()!!}</th>
        <th>{!! Form::numeric('search[division_id]')->raw()!!}</th>
        <th>{!! Form::date_time_picker('search[reqdate]')->raw()!!}</th>
        <th>{!! Form::numeric('search[requestedby]')->raw()!!}</th>
        <th>{!! Form::numeric('search[dept_id]')->raw()!!}</th>
        <th>{!! Form::date_picker('search[required_date]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#assetrequest-assetreqhd-entry', '{!!trans_url('admin/assetrequest/assetreqhd/0')!!}');
    oTable = $('#assetrequest-assetreqhd-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/assetrequest/assetreqhd') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#assetrequest-assetreqhd-list .search_bar input, #assetrequest-assetreqhd-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'requestno'},
                    {data :'division_id'},
                    {data :'reqdate'},
                    {data :'requestedby'},
                    {data :'dept_id'},
                    {data :'required_date'},
        ],
        "pageLength": 25
    });

    $('#assetrequest-assetreqhd-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#assetrequest-assetreqhd-list').DataTable().row( this ).data();

        $('#assetrequest-assetreqhd-entry').load('{!!trans_url('admin/assetrequest/assetreqhd')!!}' + '/' + d.id);
    });

    $("#assetrequest-assetreqhd-list .search_bar input, #assetrequest-assetreqhd-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

