<?php

namespace Assetdocs\Assetrequest\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Assetdocs\Assetrequest\Interfaces\AssetreqhdRepositoryInterface;

class AssetreqhdController extends BaseController
{
    /**
     * Constructor.
     *
     * @param type \Assetdocs\Assetreqhd\Interfaces\AssetreqhdRepositoryInterface $assetreqhd
     *
     * @return type
     */
    public function __construct(AssetreqhdRepositoryInterface $assetreqhd)
    {
        $this->middleware('web');
        $this->setupTheme(config('theme.themes.public.theme'), config('theme.themes.public.layout'));

        $this->repository = $assetreqhd;
        parent::__construct();
    }

    /**
     * Show assetreqhd's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $assetreqhds = $this->repository
            ->pushCriteria(new \Assetdocs\Assetrequest\Repositories\Criteria\AssetreqhdPublicCriteria())
            ->scopeQuery(function($query){
                return $query->orderBy('id','DESC');
            })->paginate();

        return $this->theme->of('assetrequest::public.assetreqhd.index', compact('assetreqhds'))->render();
    }

    /**
     * Show assetreqhd.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $assetreqhd = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('assetrequest::public.assetreqhd.show', compact('assetreqhd'))->render();
    }
}
