<?php

namespace Assetdocs\Assetrequest\Policies;

use App\User;
use Illuminate\Auth\Access\HandlesAuthorization;
use Assetdocs\Assetrequest\Models\Assetreqdtl;

class AssetreqdtlPolicy
{
    use HandlesAuthorization;

    /**
     * Determine if the given user can view the assetreqdtl.
     *
     * @param User $user
     * @param Assetreqdtl $assetreqdtl
     *
     * @return bool
     */
    public function view(User $user, Assetreqdtl $assetreqdtl)
    {
        if ($user->canDo('assetrequest.assetreqdtl.view') && $user->is('admin')) {
            return true;
        }

        return $user->id === $assetreqdtl->user_id;
    }

    /**
     * Determine if the given user can create a assetreqdtl.
     *
     * @param User $user
     * @param Assetreqdtl $assetreqdtl
     *
     * @return bool
     */
    public function create(User $user)
    {
        return  $user->canDo('assetrequest.assetreqdtl.create');
    }

    /**
     * Determine if the given user can update the given assetreqdtl.
     *
     * @param User $user
     * @param Assetreqdtl $assetreqdtl
     *
     * @return bool
     */
    public function update(User $user, Assetreqdtl $assetreqdtl)
    {
        if ($user->canDo('assetrequest.assetreqdtl.update') && $user->is('admin')) {
            return true;
        }

        return $user->id === $assetreqdtl->user_id;
    }

    /**
     * Determine if the given user can delete the given assetreqdtl.
     *
     * @param User $user
     * @param Assetreqdtl $assetreqdtl
     *
     * @return bool
     */
    public function destroy(User $user, Assetreqdtl $assetreqdtl)
    {
        if ($user->canDo('assetrequest.assetreqdtl.delete') && $user->is('admin')) {
            return true;
        }

        return $user->id === $assetreqdtl->user_id;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperUser()) {
            return true;
        }
    }
}
